TechDraw Hatch/ru

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw Hatch and the translation is 0% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎română • ‎русский

TechDraw Hatch.svg TechDraw Hatch

Расположение в меню
TechDraw → Hatch
Верстаки
TechDraw
Быстрые клавиши
Представлено в версии
-
См. также


Description

The Hatch tool fills a closed region in a View with a hatch pattern, which can be SVG or bitmap files. In contrary the TechDraw GeomHatch.svg Geometric Hatch tool uses a specific PAT pattern file, see Hatching for details.

TechDraw Hatch example.png

SVG hatch pattern on a face


Usage

  1. Select an closed region in a View. The region will turn green.
  2. Press the TechDraw Hatch.svg Hatch a Face using Image File button
  3. You may need to press Std Refresh.svg Refresh and/or TechDraw RedrawPage.svg Redraw Page.

Notes

  • Hatching objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information. It is recommended that hatching be one of the last steps in your drawing process.
  • Note that SVG hatch patterns are not included when a drawing page is saved as an SVG file.

Sample SVG patterns are available in

$INSTALL_DIR/Mod/Draft/Resources/patterns

where $INSTALL_DIR is the directory where FreeCAD was installed, for example

/usr/share/freecad/Mod/Draft/Resources/patterns

Properties

  • DataSource: The View and Face to receive the hatch pattern.
  • DataHatch Pattern: Full path and filename to an SVG pattern file.
  • ViewHatch Color: Hatch pattern will be displayed in this color.
  • ViewHatch Scale: Hatch pattern size modifier.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Hatch tool can be used in macros and from the Python console by using the following functions:

hatch = FreeCAD.ActiveDocument.addObject('TechDraw::DrawHatch','Hatch')
hatch.Source = (view1,["Face0"])
hatch.HatchPattern = hatchFileSpec
rc = page.addView(hatch)